# Where python modules live
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# subversion-python package split off for Fedora 15 onwards
%if 0%{?fedora} > 14 || 0%{?rhel} > 6
%global svnbinding subversion-python
%else
%global svnbinding subversion
%endif

Name:		svnmailer
Version:	1.0.9
Release:	4%{?dist}
Summary:	Tool to post subversion repository commit information
Group:		Development/Tools
License:	ASL 2.0
URL:		http://opensource.perlig.de/svnmailer/
Source0:	http://storage.perlig.de/svnmailer/svnmailer-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	python python-devel %{svnbinding} >= 1.0.0
Requires:	%{svnbinding} >= 1.0.0

%description
Svnmailer is a tool to post subversion repository commit information by mail,
news or XML (to a CIA tracker for example).

%package doc
Summary:	Developer and API documentation for svnmailer
Group:		Development/Tools

%description doc
This package contains developer information and API documentation for the
svnmailer tool.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-data %{_datadir}

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitelib}/svnmailer*.egg-info ]; then
	echo %{buildroot}%{python_sitelib}/svnmailer*.egg-info |
		sed -e 's|^%{buildroot}||'
fi > egg-info
 
%clean
rm -rf %{buildroot}

%files -f egg-info
%doc README CHANGES CREDITS LICENSE NOTICE
%{_bindir}/svn-mailer
%{_mandir}/man1/svn-mailer.1*
%dir %{python_sitelib}/svnmailer
%{python_sitelib}/svnmailer/*.py
%{python_sitelib}/svnmailer/*.pyc
%{python_sitelib}/svnmailer/*.pyo
%dir %{python_sitelib}/svnmailer/notifier
%{python_sitelib}/svnmailer/notifier/*.py
%{python_sitelib}/svnmailer/notifier/*.pyc
%{python_sitelib}/svnmailer/notifier/*.pyo

%files doc
%doc docs/*

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 19 2012 Paul Howarth <paul@city-fan.org> - 1.0.9-1
- Update to 1.0.9
  - Support subversion 1.7 API
  - Fix compatibility with python ≥ 2.5
  - Fix double escaping of commit messages
  - Add svn-mailer manpage
- Drop upstreamed patch for #438112

* Fri Oct 19 2012 Paul Howarth <paul@city-fan.org> - 1.0.8-14
- Spec clean-up:
  - BR:/R: subversion-python from F-15 onwards
  - Drop %%defattr, redundant since rpm 4.4
  - Use %%{buildroot} rather than the longer $RPM_BUILD_ROOT
  - Use %%global rather than %%define
  - Cope with builds with or without egg-info
  - Don't use macros for commands
  - No need to specify CFLAGS for noarch package
  - Use tabs

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.8-7
- Rebuild for Python 2.6

* Sat Sep 5 2008 Sven Lankes <sven@lank.es> 1.0.8-6
- Fix license tag
- Correct patch invocation

* Tue Apr 8 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-5
- Update Requires (remove obsolete abi() generation)
- Add patch to fix crash when sending multipart messages (bz# 438112)
- Update BuildRequires to fix bz# 440784
- Add egg-info files

* Sat Dec 9 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-3
- Rebuild for python 2.5

* Sun Sep 3 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-2
- Rebuild
- No longer ghost .pyo files

* Mon May 8 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-1
- Initial import into Fedora Extras
- Update to new upstream version

* Tue Feb 28 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.7-1
- Update to new upstream version

* Wed Feb 8 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-3
- Use newer python template from fedora-rpmdevtools
- Corrected license entry
- Split off API / dev docs into subpackage

* Tue Feb 7 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-2
- Respun spec following comments from roozbeh

* Sun Feb 5 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-1
- Initial review package for Fedora Extras

